Package org.h2.security.auth

# Class UserToRolesMapperConfig

java.lang.Object
org.h2.security.auth.UserToRolesMapperConfig

All Implemented Interfaces:
  `HasConfigProperties`

public class UserToRolesMapperConfig extends Object implements HasConfigProperties
Configuration for class that maps users to their roles.

See Also:
  - `UserToRolesMapper`

## Constructor Summary

Constructors
Constructor
Description
`UserToRolesMapperConfig()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
`List<PropertyConfig>`
`getProperties()`
`void`
`setClassName(String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserToRolesMapperConfig

public UserToRolesMapperConfig()

## Method Details

### getClassName

public String getClassName()

Returns:
  Mapper class name.

### setClassName

public void setClassName(String className)

Parameters:
  `className` - mapper class name.

### getProperties

public List<PropertyConfig> getProperties()

Specified by:
  `getProperties` in interface `HasConfigProperties`
Returns:
  Mapper properties.